Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class Gauge

    java.lang.Object
      javax.microedition.lcdui.Item
          javax.microedition.lcdui.Gauge

    public class Gauge

extends Item

Author:
  Andre Nijholt

Field Summary

Fields inherited from class javax.microedition.lcdui.Item
`cmdListener, commands, interactive, label, minHeight, minWidth, prefHeight, prefWidth`

Constructor Summary
`Gauge(String label, boolean interactive, int maxValue, int initialValue)`

Method Summary
`int` | `getMaxValue()`
`int` | `getValue()`
`protected void` | `keyPressed(int keyCode)`
`void` | `paint(Graphics g, int x, int y, int w, int h, boolean selected)`
`void` | `setMaxValue(int maxValue)`
`void` | `setValue(int value)`

Methods inherited from class javax.microedition.lcdui.Item
`addCommand, getLabel, getMinimumHeight, getMinimumWidth, getPaintRequest, getPreferredHeight, getPreferredWidth, hideNotify, isInteractive, keyReleased, notifyStateChanged, removeCommand, repaint, setItemCommandListener, setPreferredSize, showNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### Gauge

    public Gauge(String label,
                 boolean interactive,
                 int maxValue,
                 int initialValue)

Method Detail

### getMaxValue

    public int getMaxValue()

### setMaxValue

    public void setMaxValue(int maxValue)

### getValue

    public int getValue()

### setValue

    public void setValue(int value)

### keyPressed

    protected void keyPressed(int keyCode)

  Overrides:
    `keyPressed` in class `Item`

### paint

    public void paint(Graphics g,
                      int x,
                      int y,
                      int w,
                      int h,
                      boolean selected)

  Specified by:
    `paint` in class `Item`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD